Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0049518
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2022-06-09 10:102022-06-21 13:39
ReporterrfaconView Statuspublic 
Assigned Toradhakrishnan 
PrioritynormalResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0049518: API call - A promotion with an availability set on the last hours of a day is also applied on the last hours of the day before

DescriptionDue to issue 0049517 : a promotion configured using hour filters of the availability subtab in the Back Office sees its availabilty set on two days when a call is done on API Discount

An other issue appears :
A promotion with an availability set on the last hours of a day is also applied on the last hours of the day before when calling the API Discount
Steps To Reproduce1. Configure a discount in the Backend, for example:
- Discount/Promotion Type: Price adjustment
- Active = Y
- Define the discount for a product, for example Baby carrier and select "Included Products" = Only those defined.

2. In the subtab 'Availability' add a row: define 'Monday' from '20:00:00' to '23:59:59'

3. Call the API Discount https://{{OPENBRAVO_URL}}/openbravo/ws/org.openbravo.discounts.discount [^] with the product put at step 1 and an order date set on a Monday, "orderDate": "2022-06-06T20:59:00" for example

You will see the discount applied as configured.

4. Change the hour of the 'orderDate" doing several calls :
- "orderDate": "2022-06-06T23:00:00" (Monday)
- "orderDate": "2022-06-05T23:00:00" (Sunday)

In the summer time for France ("orderDate": "2022-06-06") you will see the discount applied from 'Monday 20:00:00 to Monday 21:59:59' but also from 'Sunday 22:00:00 to Sunday 23:59:59' (UTC+2)

In the winter time for France ("orderDate": "2022-03-07") you will see the discount applied from 'Monday 20:00:00 to Monday 22:59:59' but also from 'Sunday 23:00:00 to Sunday 23:59:59' (UTC+1)

An example of API Discount call is set in attachements
TagsNOR
Attached Filestxt file icon Exemple of call API Discount.txt [^] (440 bytes) 2022-06-09 10:10 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0049517 scheduledradhakrishnan API call - Availability of a promotion is calculated on universal time by the API 
related to feature request 0048383pi closedjetxarri Allow to activate promotions on 2 distinct time slots within the same day 
related to defect 0049204 scheduledradhakrishnan Modifying the Availibility subtab doesn't update the discount audit section 
related to defect 0049195 closedradhakrishnan Availability subtab records can be deleted 
related to defect 0049194 closedradhakrishnan Discount availability should be validated with POS time instead of server time 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2022-06-09 10:10 rfacon New Issue
2022-06-09 10:10 rfacon Assigned To => Retail
2022-06-09 10:10 rfacon File Added: Exemple of call API Discount.txt
2022-06-09 10:10 rfacon Triggers an Emergency Pack => No
2022-06-09 23:40 rafaroda Tag Attached: NOR
2022-06-09 23:40 rafaroda Relationship added related to 0049517
2022-06-09 23:41 rafaroda Relationship added related to 0048383
2022-06-09 23:43 rafaroda Relationship added related to 0049204
2022-06-09 23:44 rafaroda Relationship added related to 0049195
2022-06-09 23:45 rafaroda Relationship added related to 0049194
2022-06-21 13:39 radhakrishnan Assigned To Retail => radhakrishnan
2022-06-21 13:39 radhakrishnan Status new => scheduled


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker